Bug 50889 - Unexpected failure in core unit tests
Unexpected failure in core unit tests
Status: CLOSED FIXED
Product: obsolete
Classification: Unclassified
Component: xtest
4.x
All All
: P3 (vote)
: 4.x
Assigned To: issues@obsolete
issues@obsolete
: TEST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-27 10:10 UTC by Milan Kubec
Modified: 2006-03-24 10:32 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Broken xml file with test failure stack trace. (2.44 KB, text/plain)
2004-10-27 14:58 UTC, Jiri Skrivanek
Details
exc stack trace (1.57 KB, text/plain)
2004-11-03 11:37 UTC, Milan Kubec
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Kubec 2004-10-27 10:10:10 UTC
org.netbeans.core.projects.cache.BinaryCacheManagerTest
fails with message:

XTest results reporter installed empty suite file,
because the original one was corrupted. Exception
caught :Cannot parse XML, because of :An invalid
XML character (Unicode: 0x2) was found in the
value of attribute "message" and element is
"UnitTestCase".
Comment 1 Jaroslav Tulach 2004-10-27 13:58:00 UTC
The test definitively does not parse any XML. The message is produced
by xtest infrastructure.
Comment 2 Jiri Skrivanek 2004-10-27 14:56:24 UTC
The test supplies character (Unicode: 0x2) to assertEquals and XTest
cannot parse this invalid XML character in results. Please, fix the test.
Comment 3 Jiri Skrivanek 2004-10-27 14:58:20 UTC
Created attachment 18565 [details]
Broken xml file with test failure stack trace.
Comment 4 Jaroslav Tulach 2004-10-27 15:15:38 UTC
This is a remainder to you, the owner of this bug, that this issue has P3, is
reported against 4.0 and its target milestone has not yet been set. Please set
the milestone, fix the issue or change its priority by tomorrow. Thank you for
helping NetBeans to get ready for code freeze.
Comment 5 Jaroslav Tulach 2004-10-27 20:12:01 UTC
Fix the test! I can, if really necessary, but only by loosing same
information by removing the failure text. I do not like it. It is a
bug in xtest that it cannot handle all unicode characters.

If we need workaround for now (well, I probably do not), I may replace
assertEquals by if (not) fail ("Something is wrong"); but I prefer
solution in xtest.
Comment 6 Jiri Skrivanek 2004-10-29 14:24:13 UTC
OK then. I fixed XMLWriter in XTest to replace invalid xml charactes
by its hex value.

/cvs/xtest/src/org/netbeans/xtest/util/XMLWriter.java,v  <-- 
XMLWriter.java
new revision: 1.7; previous revision: 1.6
Comment 7 Milan Kubec 2004-11-03 11:36:35 UTC
It fails again, see attached file. Don't know if it's xtest issue now,
please reassign if not.
Comment 8 Milan Kubec 2004-11-03 11:37:35 UTC
Created attachment 18702 [details]
exc stack trace
Comment 9 Jaroslav Tulach 2004-11-03 12:25:03 UTC
Let's leave this closed as the xtest problem is gone. The failure of
the   testBinaryCacheManager is reported in issue 51025.
Comment 10 Milan Kubec 2004-11-03 13:01:03 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo